import "Turbine.UI";
import "Turbine.UI.Lotro";

-- a toggle button to put on the map
MapButton = class( Turbine.UI.Button );

function MapButton:Constructor( control,x,y, coords , buttonType, area)
    Turbine.UI.Button.Constructor( self );
    
    self.isactive = true;

    self.makeQS = false;
    
    self:SetParent( control );
    self:SetSize(16,16);
    self:SetPosition( x-8,y-8 );
    if (buttonType == 0) then -- Crature
		self:SetBackground("Narufind/FowlMap/Resources/activeCreature.tga");
    elseif (buttonType == 1) then -- Chicken Stone
		self:SetBackground("Narufind/FowlMap/Resources/activeStone.tga");
    elseif (buttonType == 2) then -- Chicken Nest
		self:SetBackground("Narufind/FowlMap/Resources/activeNest.tga");
    elseif (buttonType == 3) then -- Area
		self:SetBackground(area[1]);
		self:SetSize(x,y);
		self:SetPosition( coords[1],coords[2] );
    else
		self:SetBackground("Narufind/FowlMap/Resources/active.tga");
    end
    self:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
    
    self.Toggle = function( )
        self.isactive = not self.isactive;
        if self.isactive then
            self.Activate( );
        else
            self.Deactivate( );
        end
    end
    
    self.Click = function(sender, args)
        self.Toggle();
        SaveData( mainwindow );
    end
    
    self.Activate = function()
        self.isactive = true;
        if (buttonType == 0) then -- Crature
			self:SetBackground("Narufind/FowlMap/Resources/activeCreature.tga");
        elseif (buttonType == 1) then -- Chicken Stone
			self:SetBackground("Narufind/FowlMap/Resources/activeStone.tga");
        elseif (buttonType == 2) then -- Chicken Nest
			self:SetBackground("Narufind/FowlMap/Resources/activeNest.tga");
        elseif (buttonType == 3) then -- Area
			self:SetBackground(area[2]);
        else
			self:SetBackground("Narufind/FowlMap/Resources/active.tga");
        end
    end
    
    self.Deactivate = function()
        self.isactive = false;
        if (buttonType == 0) then -- Crature
			self:SetBackground("Narufind/FowlMap/Resources/inactiveCreature.tga");
        elseif (buttonType == 1) then -- Chicken Stone
			self:SetBackground("Narufind/FowlMap/Resources/inactiveStone.tga");
        elseif (buttonType == 2) then -- Chicken Nest
			self:SetBackground("Narufind/FowlMap/Resources/inactiveNest.tga");
        elseif (buttonType == 3) then -- Area
			self:SetBackground(area[1]);
        else
			self:SetBackground("Narufind/FowlMap/Resources/inactive.tga");
        end
    end
    
    self.SetLocked = function( button, bool )
        if bool then
            button.Click = nil;
        else
            button.Click = function(sender, args) button.Toggle() end
        end
    end

    self:SetWantsUpdates(true);
    self.Update = function()
        if (not self.qs) and (buttonType ~= 3) then
            if (self:IsControlKeyDown()) and self.makeQS and mainwindow:IsVisible() then
                local QSdata = "";
                if mainwindow.channelList:GetSelectedIndex()==5 then
                    if (buttonType == 0) then -- Creature
                      QSdata = mainwindow.channelList:GetValue()..mainwindow.target:GetText().." "
                          ..strings[locale]["nexttargetCreature"]..coords..strings[locale]["nexttarget2"];
                    elseif (buttonType == 1) then -- Chicken Stone
                      QSdata = mainwindow.channelList:GetValue()..mainwindow.target:GetText().." "
                          ..strings[locale]["nexttargetStone"]..coords..strings[locale]["nexttarget2"];
                    elseif (buttonType == 2) then -- Chicken Nest
                      QSdata = mainwindow.channelList:GetValue()..mainwindow.target:GetText().." "
                          ..strings[locale]["nexttargetNest"]..coords..strings[locale]["nexttarget2"];
                    elseif (buttonType == 3) then -- Area
                    else
                      QSdata = mainwindow.channelList:GetValue()..mainwindow.target:GetText().." "
                          ..strings[locale]["nexttarget1"]..coords..strings[locale]["nexttarget2"];
                    end
                else
                    if (buttonType == 0) then -- Creature
                      QSdata = mainwindow.channelList:GetValue()
                          ..strings[locale]["nexttargetCreature"]..coords..strings[locale]["nexttarget2"];
                    elseif (buttonType == 1) then -- Chicken Stone
                      QSdata = mainwindow.channelList:GetValue()
                          ..strings[locale]["nexttargetStone"]..coords..strings[locale]["nexttarget2"];
                    elseif (buttonType == 2) then -- Chicken Nest
                      QSdata = mainwindow.channelList:GetValue()
                          ..strings[locale]["nexttargetNest"]..coords..strings[locale]["nexttarget2"];
                    elseif (buttonType == 3) then -- Area
                    else
                      QSdata = mainwindow.channelList:GetValue()
                          ..strings[locale]["nexttarget1"]..coords..strings[locale]["nexttarget2"];
                    end
                end
                self.CreateQuickslot(Turbine.UI.Color.Yellow, QSdata);
            elseif (self:IsAltKeyDown()) and self.makeQS and mainwindow:IsVisible() then
                self.CreateQuickslot(Turbine.UI.Color.Blue, "/way target "..coords);
                self.qs.MouseClick = function()
                    mainwindow:SetVisible(false);
                end
            end
        else -- (self.qs ~= nil)
            if (not self:IsControlKeyDown() and not self:IsAltKeyDown()) and (buttonType ~= 3) then
                self.DestroyQuickslot();
            end
        end
    end

    self.CreateQuickslot = function(color, alias)
        self.DestroyQuickslot();
        self.qs = Turbine.UI.Lotro.Quickslot();
        self.qs:SetParent(self);
        self.qs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, alias));
        self.qs.hider = Turbine.UI.Control();
        self.qs.hider:SetParent(self);
        self.qs.hider:SetMouseVisible(false);
        if (buttonType == 0) then -- Creature
			self.qs.hider:SetBackground("Narufind/FowlMap/Resources/inactiveCreature.tga");
        elseif (buttonType == 1) then -- Chicken Stone
			self.qs.hider:SetBackground("Narufind/FowlMap/Resources/inactiveStone.tga");
        elseif (buttonType == 2) then -- Chicken Nest
			self.qs.hider:SetBackground("Narufind/FowlMap/Resources/inactiveNest.tga");
        elseif (buttonType == 3) then -- Area
			self:SetBackground(area[1]);
        else
			self.qs.hider:SetBackground("Narufind/FowlMap/Resources/inactive.tga");
        end
        self.qs.hider:SetBackColor(color);
        self.qs.hider:SetBackColorBlendMode(Turbine.UI.BlendMode.Color);
    end
    
    self.DestroyQuickslot = function()
        if (self.qs) then
            self.qs:SetParent(nil);
            self.qs.hider:SetParent(nil);
            self.qs = nil;
        end
    end
end
