local function Coords(north, west, south, east)
    -- Return a function for converting (longitude, lattitude) into (x, y)
    return function(lattitude, longitude)
        local x = 800 * (longitude - west) / (east - west);
        local y = 600 * (lattitude - north) / (south - north);
        return { x, y };
    end
end

mapdata={};

ShireCoords = Coords(-23.7, -80.3, -38.0, -61.3);
mapdata["Shire"]={};
mapdata["ShireS"]={};
mapdata["ShireN"]={};
mapdata["Shirec"] = ShireCoords;
mapdata["ShireN"]["23.7S 67.8W"] = ShireCoords(-23.7, -67.8);
mapdata["Shire"]["34.3S 64.4W"] = ShireCoords(-34.3, -64.4);
mapdata["Shire"]["33.3S 67.8W"] = ShireCoords(-33.3, -67.8);
mapdata["Shire"]["34.0S 70.0W"] = ShireCoords(-34.0, -70.0);
mapdata["ShireS"]["29.4S 71.4W"] = ShireCoords(-29.4, -71.4);
mapdata["ShireS"]["33.4S 75.5W"] = ShireCoords(-33.4, -75.5);
mapdata["ShireS"]["31.4S 62.9W"] = ShireCoords(-31.4, -62.9);
mapdata["Shire2c"] = ShireCoords;
mapdata["Shire3c"] = ShireCoords;


EredLuinCoords = Coords(-12.4, -110.0, -30.0, -86.5);
mapdata["Ered Luin"]={};
mapdata["Ered LuinS"]={};
mapdata["Ered LuinN"]={};
mapdata["Ered Luinc"] = EredLuinCoords;
mapdata["Ered LuinN"]["24.9S 91.9W"] = EredLuinCoords(-24.9, -91.9);
mapdata["Ered Luin"]["21.6S 94.2W"] = EredLuinCoords(-21.6, -94.2);
mapdata["Ered LuinS"]["13.9S 103.3W"] = EredLuinCoords(-13.9, -103.3);
mapdata["Ered LuinS"]["24.4S 93.2W"] = EredLuinCoords(-24.4, -93.2);
mapdata["Ered LuinS"]["21.6S 92.5W"] = EredLuinCoords(-21.6, -92.5);
mapdata["Ered LuinSneaks"] = {};
mapdata["Ered LuinSneaks"][1] = {};
mapdata["Ered LuinSneaks"][1]["Pos"] = {};
mapdata["Ered LuinSneaks"][1]["Pos"][1] = 217;	-- x position on the map
mapdata["Ered LuinSneaks"][1]["Pos"][2] = 143;	-- y position on the map
mapdata["Ered LuinSneaks"][1]["Size"] = {};
mapdata["Ered LuinSneaks"][1]["Size"][1] = 139;	-- Width
mapdata["Ered LuinSneaks"][1]["Size"][2] = 146;	-- Height
mapdata["Ered LuinSneaks"][1]["Label"] = "Vale Prowler Lynx (Beast)";
mapdata["Ered LuinSneaks"][1]["LabelSize"] = {};
mapdata["Ered LuinSneaks"][1]["LabelSize"][1] = 90;	-- Label width
mapdata["Ered LuinSneaks"][1]["LabelSize"][2] = 22;	-- Label height
mapdata["Ered LuinSneaks"][1]["Area"] = {};
mapdata["Ered LuinSneaks"][1]["Area"][1] = "Narufind/FowlMap/Resources/SneakAreas/EredLuinValeProwler.tga";
mapdata["Ered LuinSneaks"][1]["Area"][2] = "Narufind/FowlMap/Resources/SneakAreas/EredLuinValeProwlerActive.tga";


BreeCoords = Coords(-14.8, -67.2, -38.0, -36.4);
mapdata["Bree-Land"]={};
mapdata["Bree-LandS"]={};
mapdata["Bree-LandN"]={};
mapdata["Bree-Landc"] = BreeCoords;
mapdata["Bree-LandN"]["19.9S 41.9W"] = BreeCoords(-19.9, -41.9);
mapdata["Bree-Land"]["31.9S 62.4W"] = BreeCoords(-31.9, -62.4);
mapdata["Bree-Land"]["30.2S 52.0W"] = BreeCoords(-30.2, -52.0);
mapdata["Bree-Land"]["32.5S 43.5W"] = BreeCoords(-32.5, -43.5);
mapdata["Bree-Land"]["22.3S 52.1W"] = BreeCoords(-22.3, -52.1);
mapdata["Bree-Land"]["21.6S 42.6W"] = BreeCoords(-21.6, -42.6);
mapdata["Bree-LandS"]["29.8S 51.2W"] = BreeCoords(-29.8, -51.2);
mapdata["Bree-LandS"]["32.7S 57.1W"] = BreeCoords(-32.7, -57.1);
mapdata["Bree-LandS"]["33.9S 55.8W"] = BreeCoords(-33.9, -55.8);
mapdata["Bree-LandSneaks"] = {};
mapdata["Bree-LandSneaks"][1] = {};
mapdata["Bree-LandSneaks"][1]["Pos"] = {};
mapdata["Bree-LandSneaks"][1]["Pos"][1] = 635;	-- x position on the map
mapdata["Bree-LandSneaks"][1]["Pos"][2] = 386;	-- y position on the map
mapdata["Bree-LandSneaks"][1]["Size"] = {};
mapdata["Bree-LandSneaks"][1]["Size"][1] = 164;	-- Width
mapdata["Bree-LandSneaks"][1]["Size"][2] = 167;	-- Height
mapdata["Bree-LandSneaks"][1]["Label"] = "Silent Yellowfang Wolf (Beast)";
mapdata["Bree-LandSneaks"][1]["LabelSize"] = {};
mapdata["Bree-LandSneaks"][1]["LabelSize"][1] = 130;	-- Label width
mapdata["Bree-LandSneaks"][1]["LabelSize"][2] = 22;	-- Label height
mapdata["Bree-LandSneaks"][1]["Area"] = {};
mapdata["Bree-LandSneaks"][1]["Area"][1] = "Narufind/FowlMap/Resources/SneakAreas/Bree-LandSilentYellowfang.tga";
mapdata["Bree-LandSneaks"][1]["Area"][2] = "Narufind/FowlMap/Resources/SneakAreas/Bree-LandSilentYellowfangActive.tga";

mapdata["Bree-Land2c"] = BreeCoords;
mapdata["Bree-Land2Sneaks"] = {};
mapdata["Bree-Land2Sneaks"] = mapdata["Bree-LandSneaks"];


LoneLandsCoords = Coords(-26.2, -44.3, -43.7, -20.9);
mapdata["Lone-Lands"]={};
mapdata["Lone-LandsS"]={};
mapdata["Lone-LandsN"]={};
mapdata["Lone-Landsc"] = LoneLandsCoords;
mapdata["Lone-LandsN"]["19.9S 41.9W"] = LoneLandsCoords(-19.9, -41.9);
mapdata["Lone-Lands"]["31.2S 30.0W"] = LoneLandsCoords(-31.2, -30.0);
mapdata["Lone-LandsS"]["31.3S 37.1W"] = LoneLandsCoords(-31.3, -37.1);
mapdata["Lone-LandsS"]["33.6S 23.0W"] = LoneLandsCoords(-33.6, -23.0);
mapdata["Lone-LandsS"]["34.1S 40.6W"] = LoneLandsCoords(-34.1, -40.6);
mapdata["Lone-LandsSneaks"] = {};
mapdata["Lone-LandsSneaks"][1] = {};
mapdata["Lone-LandsSneaks"][1]["Pos"] = {};
mapdata["Lone-LandsSneaks"][1]["Pos"][1] = 52;	-- x position on the map
mapdata["Lone-LandsSneaks"][1]["Pos"][2] = 124;	-- y position on the map
mapdata["Lone-LandsSneaks"][1]["Size"] = {};
mapdata["Lone-LandsSneaks"][1]["Size"][1] = 217;	-- Width
mapdata["Lone-LandsSneaks"][1]["Size"][2] = 221;	-- Height
mapdata["Lone-LandsSneaks"][1]["Label"] = "Silent Yellowfang Wolf (Beast)";
mapdata["Lone-LandsSneaks"][1]["LabelSize"] = {};
mapdata["Lone-LandsSneaks"][1]["LabelSize"][1] = 130;	-- Label width
mapdata["Lone-LandsSneaks"][1]["LabelSize"][2] = 22;	-- Label height
mapdata["Lone-LandsSneaks"][1]["Area"] = {};
mapdata["Lone-LandsSneaks"][1]["Area"][1] = "Narufind/FowlMap/Resources/SneakAreas/Lone-LandsSilentYellowfang.tga";
mapdata["Lone-LandsSneaks"][1]["Area"][2] = "Narufind/FowlMap/Resources/SneakAreas/Lone-LandsSilentYellowfangActive.tga";

mapdata["Lone-Lands2c"] = LoneLandsCoords;
mapdata["Lone-Lands2Sneaks"] = {};
mapdata["Lone-Lands2Sneaks"] = mapdata["Lone-LandsSneaks"];


TrollshawsCoords = Coords(-22.8, -33.4, -48.4, 0.7);
mapdata["Trollshaws"]={};
mapdata["TrollshawsS"]={};
mapdata["TrollshawsN"]={};
mapdata["Trollshawsc"] = TrollshawsCoords;
mapdata["TrollshawsN"]["33.1S 6.0W"] = TrollshawsCoords(-33.1, -6.0);
mapdata["Trollshaws"]["29.2S 6.6W"] = TrollshawsCoords(-29.2, -6.6);
mapdata["TrollshawsS"]["30.0S 4.6W"] = TrollshawsCoords(-30.0, -4.6);
mapdata["TrollshawsS"]["17.7S 1.7W"] = TrollshawsCoords(-17.7, -1.7);
mapdata["TrollshawsS"]["24.7S 4.1W"] = TrollshawsCoords(-24.7, -4.1);
mapdata["TrollshawsSneaks"] = {};
mapdata["TrollshawsSneaks"][1] = {};
mapdata["TrollshawsSneaks"][1]["Pos"] = {};
mapdata["TrollshawsSneaks"][1]["Pos"][1] = 547;	-- x position on the map
mapdata["TrollshawsSneaks"][1]["Pos"][2] = 227;	-- y position on the map
mapdata["TrollshawsSneaks"][1]["Size"] = {};
mapdata["TrollshawsSneaks"][1]["Size"][1] = 75;	-- Width
mapdata["TrollshawsSneaks"][1]["Size"][2] = 70;	-- Height
mapdata["TrollshawsSneaks"][1]["Label"] = "Moor Prowler Lynx (Beast)";
mapdata["TrollshawsSneaks"][1]["LabelSize"] = {};
mapdata["TrollshawsSneaks"][1]["LabelSize"][1] = 90;	-- Label width
mapdata["TrollshawsSneaks"][1]["LabelSize"][2] = 22;	-- Label height
mapdata["TrollshawsSneaks"][1]["Area"] = {};
mapdata["TrollshawsSneaks"][1]["Area"][1] = "Narufind/FowlMap/Resources/SneakAreas/TrollshawsMoorProwler.tga";
mapdata["TrollshawsSneaks"][1]["Area"][2] = "Narufind/FowlMap/Resources/SneakAreas/TrollshawsMoorProwlerActive.tga";
mapdata["TrollshawsSneaks"][2] = {};
mapdata["TrollshawsSneaks"][2]["Pos"] = {};
mapdata["TrollshawsSneaks"][2]["Pos"][1] = 416;	-- x position on the map
mapdata["TrollshawsSneaks"][2]["Pos"][2] = 162;	-- y position on the map
mapdata["TrollshawsSneaks"][2]["Size"] = {};
mapdata["TrollshawsSneaks"][2]["Size"][1] = 96;	-- Width
mapdata["TrollshawsSneaks"][2]["Size"][2] = 134;	-- Height
mapdata["TrollshawsSneaks"][2]["Label"] = "Silent Moor-stalker Wolf (Beast)";
mapdata["TrollshawsSneaks"][2]["LabelSize"] = {};
mapdata["TrollshawsSneaks"][2]["LabelSize"][1] = 140;	-- Label width
mapdata["TrollshawsSneaks"][2]["LabelSize"][2] = 22;	-- Label height
mapdata["TrollshawsSneaks"][2]["Area"] = {}
mapdata["TrollshawsSneaks"][2]["Area"][1] = "Narufind/FowlMap/Resources/SneakAreas/TrollshawsSilentMoor-stalker.tga";
mapdata["TrollshawsSneaks"][2]["Area"][2] = "Narufind/FowlMap/Resources/SneakAreas/TrollshawsSilentMoor-stalkerActive.tga";
mapdata["TrollshawsSneaks"][3] = {};
mapdata["TrollshawsSneaks"][3]["Pos"] = {};
mapdata["TrollshawsSneaks"][3]["Pos"][1] = 316;	-- x position on the map
mapdata["TrollshawsSneaks"][3]["Pos"][2] = 66;	-- y position on the map
mapdata["TrollshawsSneaks"][3]["Size"] = {};
mapdata["TrollshawsSneaks"][3]["Size"][1] = 50;	-- Width
mapdata["TrollshawsSneaks"][3]["Size"][2] = 102;	-- Height
mapdata["TrollshawsSneaks"][3]["Label"] = "Trapdoor-spider Watcher Spider (Insect)";
mapdata["TrollshawsSneaks"][3]["LabelSize"] = {};
mapdata["TrollshawsSneaks"][3]["LabelSize"][1] = 160;	-- Label width
mapdata["TrollshawsSneaks"][3]["LabelSize"][2] = 22;	-- Label height
mapdata["TrollshawsSneaks"][3]["Area"] = {}
mapdata["TrollshawsSneaks"][3]["Area"][1] = "Narufind/FowlMap/Resources/SneakAreas/TrollshawsTrapdoor-spiderWatcher.tga";
mapdata["TrollshawsSneaks"][3]["Area"][2] = "Narufind/FowlMap/Resources/SneakAreas/TrollshawsTrapdoor-spiderWatcherActive.tga";
mapdata["TrollshawsSneaks"][4] = {};
mapdata["TrollshawsSneaks"][4]["Pos"] = {};
mapdata["TrollshawsSneaks"][4]["Pos"][1] = 203;	-- x position on the map
mapdata["TrollshawsSneaks"][4]["Pos"][2] = 268;	-- y position on the map
mapdata["TrollshawsSneaks"][4]["Size"] = {};
mapdata["TrollshawsSneaks"][4]["Size"][1] = 193;	-- Width
mapdata["TrollshawsSneaks"][4]["Size"][2] = 280;	-- Height
mapdata["TrollshawsSneaks"][4]["Label"] = "Moor Prowler Lynx (Beast)";
mapdata["TrollshawsSneaks"][4]["LabelSize"] = {};
mapdata["TrollshawsSneaks"][4]["LabelSize"][1] = 90;	-- Label width
mapdata["TrollshawsSneaks"][4]["LabelSize"][2] = 22;	-- Label height
mapdata["TrollshawsSneaks"][4]["Area"] = {}
mapdata["TrollshawsSneaks"][4]["Area"][1] = "Narufind/FowlMap/Resources/SneakAreas/TrollshawsAngleMoorProwler.tga";
mapdata["TrollshawsSneaks"][4]["Area"][2] = "Narufind/FowlMap/Resources/SneakAreas/TrollshawsAngleMoorProwlerActive.tga";
mapdata["TrollshawsSneaks"][5] = {};
mapdata["TrollshawsSneaks"][5]["Pos"] = {};
mapdata["TrollshawsSneaks"][5]["Pos"][1] = 346;	-- x position on the map
mapdata["TrollshawsSneaks"][5]["Pos"][2] = 394;	-- y position on the map
mapdata["TrollshawsSneaks"][5]["Size"] = {};
mapdata["TrollshawsSneaks"][5]["Size"][1] = 11;	-- Width
mapdata["TrollshawsSneaks"][5]["Size"][2] = 16;	-- Height
mapdata["TrollshawsSneaks"][5]["Label"] = "Angle Stalker Warg (Beast)";
mapdata["TrollshawsSneaks"][5]["LabelSize"] = {};
mapdata["TrollshawsSneaks"][5]["LabelSize"][1] = 100;	-- Label width
mapdata["TrollshawsSneaks"][5]["LabelSize"][2] = 22;	-- Label height
mapdata["TrollshawsSneaks"][5]["Area"] = {}
mapdata["TrollshawsSneaks"][5]["Area"][1] = "Narufind/FowlMap/Resources/SneakAreas/TrollshawsAngleStalker.tga";
mapdata["TrollshawsSneaks"][5]["Area"][2] = "Narufind/FowlMap/Resources/SneakAreas/TrollshawsAngleStalkerActive.tga";

mapdata["Trollshaws2c"] = TrollshawsCoords;
mapdata["Trollshaws2Sneaks"] = {};
mapdata["Trollshaws2Sneaks"] = mapdata["TrollshawsSneaks"];

mapdata["Trollshaws3c"] = TrollshawsCoords;
mapdata["Trollshaws3Sneaks"] = {};
mapdata["Trollshaws3Sneaks"] = mapdata["TrollshawsSneaks"];


AngmarCoords = Coords(14.6, -42.8, -7.4, -13.3);
mapdata["Angmar"]={};
mapdata["AngmarS"]={};
mapdata["AngmarN"]={};
mapdata["Angmarc"] = AngmarCoords;
mapdata["AngmarN"]["2.2N 34.2W"] = AngmarCoords(2.2, -34.2);
mapdata["Angmar"]["2.2N 34.2W"] = AngmarCoords(14.6, -42.8);
mapdata["AngmarS"]["0.1S 40.2W"] = AngmarCoords(-0.1, -40.2);
mapdata["AngmarS"]["2.9S 39.0W"] = AngmarCoords(-2.9, -39.0);
mapdata["AngmarS"]["1.8S 33.2W"] = AngmarCoords(-1.8, -33.2);
mapdata["AngmarSneaks"] = {};
mapdata["AngmarSneaks"][1] = {};
mapdata["AngmarSneaks"][1]["Pos"] = {};
mapdata["AngmarSneaks"][1]["Pos"][1] = 110;	-- x position on the map
mapdata["AngmarSneaks"][1]["Pos"][2] = 211;	-- y position on the map
mapdata["AngmarSneaks"][1]["Size"] = {};
mapdata["AngmarSneaks"][1]["Size"][1] = 208;	-- Width
mapdata["AngmarSneaks"][1]["Size"][2] = 108;	-- Height
mapdata["AngmarSneaks"][1]["Label"] = "Scara Shadow-stalker Warg (Beast)";
mapdata["AngmarSneaks"][1]["LabelSize"] = {};
mapdata["AngmarSneaks"][1]["LabelSize"][1] = 150;	-- Label width
mapdata["AngmarSneaks"][1]["LabelSize"][2] = 22;	-- Label height
mapdata["AngmarSneaks"][1]["Area"] = {};
mapdata["AngmarSneaks"][1]["Area"][1] = "Narufind/FowlMap/Resources/SneakAreas/AngmarScaraShadow-stalker.tga";
mapdata["AngmarSneaks"][1]["Area"][2] = "Narufind/FowlMap/Resources/SneakAreas/AngmarScaraShadow-stalkerActive.tga";
mapdata["AngmarSneaks"][2] = {};
mapdata["AngmarSneaks"][2]["Pos"] = {};
mapdata["AngmarSneaks"][2]["Pos"][1] = 84;	-- x position on the map
mapdata["AngmarSneaks"][2]["Pos"][2] = 276;	-- y position on the map
mapdata["AngmarSneaks"][2]["Size"] = {};
mapdata["AngmarSneaks"][2]["Size"][1] = 132;	-- Width
mapdata["AngmarSneaks"][2]["Size"][2] = 114;	-- Height
mapdata["AngmarSneaks"][2]["Label"] = "Scara Skulker Warg (Beast)";
mapdata["AngmarSneaks"][2]["LabelSize"] = {};
mapdata["AngmarSneaks"][2]["LabelSize"][1] = 100;	-- Label width
mapdata["AngmarSneaks"][2]["LabelSize"][2] = 22;	-- Label height
mapdata["AngmarSneaks"][2]["Area"] = {};
mapdata["AngmarSneaks"][2]["Area"][1] = "Narufind/FowlMap/Resources/SneakAreas/AngmarScaraSkulker.tga";
mapdata["AngmarSneaks"][2]["Area"][2] = "Narufind/FowlMap/Resources/SneakAreas/AngmarScaraSkulkerActive.tga";



EvendimCoords = Coords(-1.6, -82.6, -24.4, -52.3);
mapdata["Evendim"]={};
mapdata["EvendimS"]={};
mapdata["EvendimN"]={};
mapdata["Evendimc"]= EvendimCoords;
mapdata["EvendimN"]["23.7S 67.8W"] = EvendimCoords(-23.7, -67.8);
mapdata["Evendim"]["6.1S 72.0W"] = EvendimCoords(-6.1, -72.0);
mapdata["EvendimS"]["17.4S 68.8W"] = EvendimCoords(-17.4, -68.8);
mapdata["EvendimS"]["7.9S 63.9W"] = EvendimCoords(-7.9, -63.9);
mapdata["EvendimS"]["13.7S 75.9W"] = EvendimCoords(-13.7, -75.9);
mapdata["EvendimSneaks"] = {};
mapdata["EvendimSneaks"][1] = {};
mapdata["EvendimSneaks"][1]["Pos"] = {};
mapdata["EvendimSneaks"][1]["Pos"][1] = 338;	-- x position on the map
mapdata["EvendimSneaks"][1]["Pos"][2] = 48;	-- y position on the map
mapdata["EvendimSneaks"][1]["Size"] = {};
mapdata["EvendimSneaks"][1]["Size"][1] = 141;	-- Width
mapdata["EvendimSneaks"][1]["Size"][2] = 132	-- Height
mapdata["EvendimSneaks"][1]["Label"] = "Flanking Twilight-howler Warg (Beast)";
mapdata["EvendimSneaks"][1]["LabelSize"] = {};
mapdata["EvendimSneaks"][1]["LabelSize"][1] = 175;	-- Label width
mapdata["EvendimSneaks"][1]["LabelSize"][2] = 22;	-- Label height
mapdata["EvendimSneaks"][1]["Area"] = {};
mapdata["EvendimSneaks"][1]["Area"][1] = "Narufind/FowlMap/Resources/SneakAreas/EvendimFlankingTwilight-howler.tga";
mapdata["EvendimSneaks"][1]["Area"][2] = "Narufind/FowlMap/Resources/SneakAreas/EvendimFlankingTwilight-howlerActive.tga";
mapdata["EvendimSneaks"][2] = {};
mapdata["EvendimSneaks"][2]["Pos"] = {};
mapdata["EvendimSneaks"][2]["Pos"][1] = 392;	-- x position on the map
mapdata["EvendimSneaks"][2]["Pos"][2] = 301;	-- y position on the map
mapdata["EvendimSneaks"][2]["Size"] = {};
mapdata["EvendimSneaks"][2]["Size"][1] = 84;	-- Width
mapdata["EvendimSneaks"][2]["Size"][2] = 152;	-- Height
mapdata["EvendimSneaks"][2]["Label"] = "Deadly Tomb-robber Brigand (Man)";
mapdata["EvendimSneaks"][2]["LabelSize"] = {};
mapdata["EvendimSneaks"][2]["LabelSize"][1] = 130;	-- Label width
mapdata["EvendimSneaks"][2]["LabelSize"][2] = 22;	-- Label height
mapdata["EvendimSneaks"][2]["Area"] = {};
mapdata["EvendimSneaks"][2]["Area"][1] = "Narufind/FowlMap/Resources/SneakAreas/EvendimDeadlyTomb-robber.tga";
mapdata["EvendimSneaks"][2]["Area"][2] = "Narufind/FowlMap/Resources/SneakAreas/EvendimDeadlyTomb-robberActive.tga";
mapdata["EvendimSneaks"][3] = {};
mapdata["EvendimSneaks"][3]["Pos"] = {};
mapdata["EvendimSneaks"][3]["Pos"][1] = 392;	-- x position on the map
mapdata["EvendimSneaks"][3]["Pos"][2] = 174;	-- y position on the map
mapdata["EvendimSneaks"][3]["Size"] = {};
mapdata["EvendimSneaks"][3]["Size"][1] = 145;	-- Width
mapdata["EvendimSneaks"][3]["Size"][2] = 139;	-- Height
mapdata["EvendimSneaks"][3]["Label"] = "Tomb-robber Ambusher Brigand (Man)";
mapdata["EvendimSneaks"][3]["LabelSize"] = {};
mapdata["EvendimSneaks"][3]["LabelSize"][1] = 145;	-- Label width
mapdata["EvendimSneaks"][3]["LabelSize"][2] = 22;	-- Label height
mapdata["EvendimSneaks"][3]["Area"] = {};
mapdata["EvendimSneaks"][3]["Area"][1] = "Narufind/FowlMap/Resources/SneakAreas/EvendimTomb-robberAmbusher.tga";
mapdata["EvendimSneaks"][3]["Area"][2] = "Narufind/FowlMap/Resources/SneakAreas/EvendimTomb-robberAmbusherActive.tga"


--ForochelCoords = Coords(25.0, -92.5, -5.5, -52.4);
--mapdata["Forochelc"] = ForochelCoords;



MistyCoords = Coords(-14.6, -11.9, -33.2, 12.9);
mapdata["Misty Mountains"]={};
mapdata["Misty MountainsS"]={};
mapdata["Misty MountainsN"]={};
mapdata["Misty Mountainsc"] = MistyCoords;
mapdata["Misty MountainsN"]["33.1S 6.0W"] = MistyCoords(-33.1, -6.0);
mapdata["Misty Mountains"]["29.2S 6.6W"] = MistyCoords(-29.2, -6.6);
mapdata["Misty MountainsS"]["30.0S 4.6W"] = MistyCoords(-30.0, -4.6);
mapdata["Misty MountainsS"]["17.7S 1.7W"] = MistyCoords(-17.7, -1.7);
mapdata["Misty MountainsS"]["24.7S 4.1W"] = MistyCoords(-24.7, -4.1);
mapdata["Misty Mountains2c"] = MistyCoords;
mapdata["Misty Mountains2L"] = {};
mapdata["Misty Mountains2LLabelSize"] = {};
mapdata["Misty Mountains2L"]["High Pass: 20.0S 8.3E"] = MistyCoords(-20.0, 8.3);
mapdata["Misty Mountains2LLabelSize"]["High Pass: 20.0S 8.3E"] = 90;


NorthDownsCoords = Coords(-1.3, -60.4, -22.5, -32.2);
mapdata["North Downs"]={};
mapdata["North DownsS"]={};
mapdata["North DownsN"]={};
mapdata["North Downsc"] = NorthDownsCoords;
mapdata["North DownsN"]["19.9S 41.9W"] = NorthDownsCoords(-19.9, -41.9);
mapdata["North DownsS"]["6.0S 55.3W"] = NorthDownsCoords(-6.0, -55.3);
mapdata["North DownsS"]["9.6S 41.4W"] = NorthDownsCoords(-9.6, -41.4);
mapdata["North DownsS"]["10.2S 45.7W"] = NorthDownsCoords(-10.2, -45.7);
mapdata["North Downs"]["11.2S 44.3W"] = NorthDownsCoords(-11.2, -44.3);

EregionCoords = Coords(-35.2, -23.8, -58.0, 6.5);
mapdata["Eregionc"] = EregionCoords;


EnedwaithCoords = Coords(-53.7, -37.6, -77.0, -0.6);
mapdata["Enedwaithc"] = EnedwaithCoords;

DunlandCoords = Coords(-70.5, -28.5, -95.0, 4.2);
mapdata["Dunlandc"] = DunlandCoords;
mapdata["DunlandL"] = {};
mapdata["DunlandLLabelSize"] = {};
mapdata["DunlandL"]["Enter Rohan: 88.1S 2.1W"] = DunlandCoords(-88.1, -2.1);
mapdata["DunlandLLabelSize"]["Enter Rohan: 88.1S 2.1W"] = 90;
mapdata["DunlandSneaks"] = {};
mapdata["DunlandSneaks"][1] = {};
mapdata["DunlandSneaks"][1]["Pos"] = {};
mapdata["DunlandSneaks"][1]["Pos"][1] = 388;	-- x position on the map
mapdata["DunlandSneaks"][1]["Pos"][2] = 357;	-- y position on the map
mapdata["DunlandSneaks"][1]["Size"] = {};
mapdata["DunlandSneaks"][1]["Size"][1] = 152;	-- Width
mapdata["DunlandSneaks"][1]["Size"][2] = 133;	-- Height
mapdata["DunlandSneaks"][1]["Label"] = "Draig-l"..string.char(195)..string.char(187).."th Ambusher Dunlending (Man)";
mapdata["DunlandSneaks"][1]["LabelSize"] = {};
mapdata["DunlandSneaks"][1]["LabelSize"][1] = 140;	-- Label width
mapdata["DunlandSneaks"][1]["LabelSize"][2] = 22;	-- Label height
mapdata["DunlandSneaks"][1]["Area"] = {};
mapdata["DunlandSneaks"][1]["Area"][1] = "Narufind/FowlMap/Resources/SneakAreas/DunlandDraig-luthAmbusher.tga";
mapdata["DunlandSneaks"][1]["Area"][2] = "Narufind/FowlMap/Resources/SneakAreas/DunlandDraig-luthAmbusherActive.tga";

WRohanCoords = Coords(-39.9, -97.4, -79.0, -45.3);
mapdata["West Rohanc"] = WRohanCoords;
mapdata["West RohanL"] = {};
mapdata["West RohanLLabelSize"] = {};
mapdata["West RohanL"]["Far Anorien: 69.9S 55.3W"] = WRohanCoords(-69.9, -55.3);
mapdata["West RohanLLabelSize"]["Far Anorien: 69.9S 55.3W"] = 95;
mapdata["West RohanL"]["Pathe of the Dead: 73.3S 69.3W"] = WRohanCoords(-73.3, -69.3);
mapdata["West RohanLLabelSize"]["Pathe of the Dead: 73.3S 69.3W"] = 130;


WGondorCoords = Coords(-50.3, -90.3, -83.0, -47.3);
mapdata["Western Gondorc"] = WGondorCoords;



CGondorCoords = Coords(-66.6, -59.4, -91.1, -26.9);
mapdata["Central Gondorc"] = CGondorCoords;


EGondorCoords = Coords(-59.1, -36.4, -87.0, 0.8);
mapdata["Eastern Gondorc"] = EGondorCoords;
mapdata["Eastern GondorL"] = {};
mapdata["Eastern GondorLLabelSize"] = {};
mapdata["Eastern GondorL"]["Minas Tirith: 65.6S 16.5W"] = EGondorCoords(-65.6, -16.5);
mapdata["Eastern GondorLLabelSize"]["Minas Tirith: 65.6S 16.5W"] = 95;


FarAnorienCoords = Coords(-32.5, -50.4, -58.1, -16.3);
mapdata["Far Anorienc"] = FarAnorienCoords;

OldAnorienCoords = Coords(-44.6, -34.0, -73.8, 5.0);
mapdata["Old Anorienc"] = OldAnorienCoords;
mapdata["Old AnorienL"] = {};
mapdata["Old AnorienLLabelSize"] = {};
mapdata["Old AnorienL"]["Minas Tirith: 65.6S 16.5W"] = OldAnorienCoords(-65.6, -16.5);
mapdata["Old AnorienLLabelSize"]["Minas Tirith: 65.6S 16.5W"] = 95;

MinasTirithCoords = Coords(-62.2, -24.1, -69.0, -15.0);
mapdata["Minas Tirithc"] = MinasTirithCoords;
mapdata["Minas TirithL"] = {};
mapdata["Minas TirithLLabelSize"] = {};
mapdata["Minas TirithL"]["The Prow: 65.6S 17.1W"] = MinasTirithCoords(-65.6, -17.1);
mapdata["Minas TirithLLabelSize"]["The Prow: 65.6S 17.1W"] = 90;


--WastesCoords = Coords(-26.1, -17.0, -41.5, 3.5);
--mapdata["The Wastesc"] = WastesCoords;



--GorgorothCoords = Coords(-35.3, -6.0, -69.4, 39.5);
--mapdata["Gorgorothc"] = GorgorothCoords;


ValesOfAnduinCoords = Coords(18.3, -81.4, -12.4, -40.4);
mapdata["Vales of Anduinc"] = ValesOfAnduinCoords;
mapdata["Vales of AnduinL"] = {};
mapdata["Vales of AnduinLLabelSize"] = {};
mapdata["Vales of AnduinL"]["The Carrock: 13.3N 57.9W"] = ValesOfAnduinCoords(13.3,-57.9);
mapdata["Vales of AnduinLLabelSize"]["The Carrock: 13.3N 57.9W"] = 90;
mapdata["Vales of AnduinL"]["Beorninghus: 13.7N 53.3W"] = ValesOfAnduinCoords(13.7,-53.3);
mapdata["Vales of AnduinLLabelSize"]["Beorninghus: 13.7N 53.3W"] = 90;


NMirkwoodCoords = Coords(37.4, -56.6, 5.3, -13.8);
mapdata["Northern Mirkwoodc"] = NMirkwoodCoords;
mapdata["Northern MirkwoodL"]={};
mapdata["Northern MirkwoodLLabelSize"]={};
mapdata["Northern MirkwoodL"]["Lake Town: 17.1N 27.7W"] = NMirkwoodCoords(17.1, -27.7);
mapdata["Northern MirkwoodLLabelSize"]["Lake Town: 17.1N 27.7W"] = 90;
mapdata["Northern MirkwoodL"]["Erebor: 28.3N 25.7W"] = NMirkwoodCoords(28.3, -25.7);
mapdata["Northern MirkwoodLLabelSize"]["Erebor: 28.3N 25.7W"] = 90;
mapdata["Northern MirkwoodL"]["Enter Erebor: 29.5N 25.6W"] = NMirkwoodCoords(29.5, -25.6);
mapdata["Northern MirkwoodLLabelSize"]["Enter Erebor: 29.5N 25.6W"] = 95;


